IActivityEvent is the base interface for all events fired by the Activity subsystem. All Activity events will implement this interface.

### Hierarchy

- IConvergenceEvent
  - IActivityEvent

### Implemented by

- ActivityLeftEvent
- ActivitySessionJoinedEvent
- ActivitySessionLeftEvent
- ActivityStateClearedEvent
- ActivityStateDeltaEvent
- ActivityStateRemovedEvent
- ActivityStateSetEvent

## Index

### Properties

- activity
- local
- name
- sessionId
- user

## Properties

### activity

activity: Activity

The Activity that this event relates to.

### local

local: boolean

Will be true if this event is from the local user / session; false otherwise.

### name

name: string

Inherited from IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### sessionId

sessionId: string

The session id of the session that originated this event.

### user

user: DomainUser

The username of the user originated this event.